4g gsm used by the Pantech uml290 does not work

Bug #824114 reported by wilbur on 2011-08-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
modemmanager (Ubuntu)
Medium
Mathieu Trudel-Lapierre

Bug Description

4g gsm works fine in Ubuntu 10 and Mint 10 but not at all in Ubuntu 11 or Mint 11. pppd will connect. If a working file is loaded from a 10 version into /etc/NetworkManage/system-connections it will not work.

madbiologist (me-again) wrote :

This should be fixed in the modemmanager 0.6 branch by these commits:

author Dan Williams 2012-05-30 16:47:10 (GMT)
committer Dan Williams 2012-05-31 22:27:34 (GMT)
commit cf561995c1c15d21967e0f15caf155748aac4051
tree 0d675aeb32bb181009f5fc46ecef4c46eabe91c0
parent 166844b946e110bced999ed01638fa7bc29b589e

uml290: add mode switching tool
Switches UML290 mode between 4G/LTE, 3G/EVDO/1X, and auto.

and:

author Dan Williams 2012-06-04 18:52:09 (GMT)
committer Dan Williams 2012-06-04 18:52:09 (GMT)
commit a46dcb10e26aa95960b568ad857424d8ed227739
tree 6e337b0548dfc251119d5a9e8d45a8c04db57063
parent 2493ca360e08013ccc084356b4a1af62b3dd3bf8

uml290: allow setting more global modes

Unfortunately the modemmanager 0.6~git201203261122.16a0029-0ubuntu1 snapshot currently in the Ubuntu 12.10 "Quantal Quetzal" repositories is older than this and does not contain these patches. A new snapshot will hopefully be made before the 12.10 release.

affects: network-manager (Ubuntu) → modemmanager (Ubuntu)
Changed in modemmanager (Ubuntu):
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package modemmanager - 0.6~git201206221719.8289a64-0ubuntu1

---------------
modemmanager (0.6~git201206221719.8289a64-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-06-22 17:19:35 (GMT)
    + 8289a646fd19b6ddfba48214e94297ff96f731eb
    - decode: harmonize with git master
    - decode: update with latest QMI enums
    - zte: try to handle Icera devices that use PPP
    - uml290: allow setting more global modes (LP: #824114)
    - qcdm: fix 1x/HDR mode pref and add GSM/UMTS mode prefs
    - trivial: whitespace fixes
    - uml290: add mode switching tool
    - wmc: namespace stuff properly
    - qcdm: namespace stuff properly
    - wmc: add command for setting global mode
    - cdma: fix QCDM registration state checking
    - test: ignore ESN errors in info.py
    - dbus: remove 'max_replies_per_connection' limit from D-Bus configuration
  * debian/patches/fix-format-string.patch: fix a missing format string in
    a fprintf call for uml290mode; it makes the build fail otherwise.
 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 22 Jun 2012 15:04:53 -0400

Changed in modemmanager (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers